Opened 17 years ago

Closed 17 years ago

Last modified 16 years ago

#1291 closed defect (duplicate)

"Xft2" package should require "fontconfig"

Reported by: djisaacson@… Owned by: blb@…
Priority: Low Milestone:
Component: ports Version: 1.0
Keywords: Cc:
Port:

Description

While installing Xft2 using DarwinPorts ("$port install Xft2"), the package failed to install the dependency "fontconfig" and so crashed during configuration.

Of course, the easy workaround was to install fontconfig first.

Change History (3)

comment:1 Changed 17 years ago by tp62@…

Owner: changed from darwinports-bugs@… to blb@…

Reassigned to maintainer.

comment:2 Changed 17 years ago by blb@…

That's odd, since fontconfig is in fact listed as a dependency (see the 'depends_lib' line).

On the first try, did port not attempt to do fontconfig at all, did it see another, or something else?

comment:3 Changed 17 years ago by toby@…

Resolution: duplicate
Status: newclosed

* This bug has been marked as a duplicate of 1667 *

Note: See TracTickets for help on using tickets.